Skip to main content
GET
Read one run with its step-by-step outcomes
Required scope: workflows.view
Requires workflows enabled for your workspace. Otherwise the request is refused; see Errors.

Authorizations

Authorization
string
header
required

Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.

Path Parameters

runId
string
required

Response

OK

id
string
required
workflowId
string
required
status
string
required
origin
string
required
startedAt
string
required
endedAt
string | null
required
currentNodeId
string | null
required
attentionReason
string | null
required
triggerSummary
string | null
required
endLabel
string | null
required
failureReason
string | null
required
steps
object[]
required